<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Type\Post;

use Inti\Wp\Provider\Type\ObjectTypeInterface;

/**
 * Interface PostTypeInterface
 *
 * @package Inti\Wp\Provider\Type\Post
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
interface PostTypeInterface extends ObjectTypeInterface
{
    public function getCapabilityType(): string;
    public function getLabel(): string;
    public function getMenuIcon(): ?string;
    public function getMenuPosition(): ?int;
    public function getSupportedFeatures(): array;
    public function getTaxonomies(): array;
    /** @return bool|string */
    public function hasArchive();
    public function isExcludedFromSearch(): ?bool;
    public function mapMetaCap(): ?bool;
    public function showInAdminBar(): ?bool;
}
