<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Mock;

use Inti\Wp\Provider\Metadata\AbstractProvider;
use Inti\Wp\Provider\Metadata\ProviderInterface;
use Inti\Wp\Provider\Type\ObjectTypeInterface;
use Inti\Wp\Provider\Type\Post\Post;

/**
 * Class PostMetadataProvider
 *
 * @package IntiTest\Wp\Provider\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-bartog
 */
class PostMetadataProvider extends AbstractProvider implements ProviderInterface
{
    protected array $meta_keys = [
        '_meta_key1',
        '_meta_key2',
    ];

    private array $metadata = [
        '_meta_key1' => 'meta value 1-1',
        '_meta_key2' => 'meta value 1-2',
    ];

    public function getMetadata(int $id): array
    {
        return $this->metadata;
    }

    public function getObjectType(): ObjectTypeInterface
    {
        return new Post();
    }
}
