<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Mock;

use Inti\Wp\Provider\Metadata\AbstractProvider;
use Inti\Wp\Provider\Metadata\ProviderInterface;
use Inti\Wp\Provider\Type;

/**
 * Class TermMetadataProvider
 *
 * @package IntiTest\Wp\Provider\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
class TermMetadataProvider extends AbstractProvider implements ProviderInterface
{
    protected array $meta_keys = [
        '_meta_key1',
        '_meta_key2',
    ];

    private array $metadata = [
        '_meta_key1' => 'meta value 1-1',
        '_meta_key2' => 'meta value 1-2',
    ];

    public function getMetadata(int $id): array
    {
        return $this->metadata;
    }

    public function getObjectType(): Type\ObjectTypeInterface
    {
        return new Type\Term\Category();
    }
}
